Fetch Client Token
Returns a secure client token that can be used for different services, such as gift cards, online ordering, etc.
Path Parameters
- Type: stringservicerequired
The service for which the secure token will be generated (e.g., ordering, braintree)
Headers
- Type: stringx
-pch -digest requiredThe signature for the API call
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
Body
application/json
- Type: stringclient
OAuth client ID provided by the business
Responses
- application/json
Request Example for get/api2/mobile/secure_tokens/{service}
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/secure_tokens/{service}' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--data '{
"client": "CLIENT_GOES_HERE"
}'
{
"token": "TOKEN_GOES_HERE"
}